package defs

type CommonRequest struct {
	Extra interface{} `json:"extra,omitempty"`
}

type CommonPaginationRequest struct {
	Limit  int         `json:"limit,omitempty"`
	Offset int         `json:"offset,omitempty"`
	Extra  interface{} `json:"extra,omitempty"`
}

type CommonQueryRequest struct {
	Query string      `json:"query,omitempty"`
	Extra interface{} `json:"extra,omitempty"`
}

type CommonQueryPaginationRequest struct {
	Query  string      `json:"query,omitempty"`
	Limit  int         `json:"limit,omitempty"`
	Offset int         `json:"offset,omitempty"`
	Extra  interface{} `json:"extra,omitempty"`
}
