
const ExternalURL = ""

export const AttestationPath = ExternalURL + "/v1/webauthn/attestation";
export const DiscoverableAttestationPath = AttestationPath + "?discoverable=true";
export const AssertionPath = ExternalURL + "/v1/webauthn/assertion";
export const DiscoverableAssertionPath = AssertionPath + "?discoverable=true";

export const LoginPath = ExternalURL + "/api/login";
export const LogoutPath = ExternalURL + "/api/logout";
export const InfoPath = ExternalURL + "/api/info";

export const WebauthNUserNameHeader = "x-vaala-webauthn-username"

export const APIPrefix = "/api/v1"
export const FunctionPrefix = APIPrefix + "/f"
export const BizPrefix = APIPrefix + "/biz"

export const AIAPIPrefix = FunctionPrefix + "/ai.vaa.la"
export const SearchShareAPIPrefix = FunctionPrefix + "/cache.vaa.la"
export const ChatShareAPIPrefix = FunctionPrefix + "/chatshare.vaa.la"

export const HotNewsPrefix = BizPrefix + "/hotnews"