# Toyboom Server

```
.
├── Dockerfile
├── Dockerfile.standalone
├── README.md
├── biz
│   ├── handler.go
│   ├── static.go
│   └── user
│       ├── create.go
│       └── get.go
├── cmd
│   ├── db.go
│   └── main.go
├── common
│   ├── const.go
│   ├── context.go
│   ├── helper.go
│   ├── logger.go
│   ├── logger_remote.go
│   ├── request.go
│   ├── response.go
│   └── result.go
├── config
│   ├── helper.go
│   └── settings.go
├── dao
│   ├── interface.go
│   └── user.go
├── defs
│   ├── entity.go
│   ├── request.go
│   ├── response.go
│   └── user_info.go
├── go.mod
├── go.sum
├── middleware
│   ├── auth.go
│   └── init.go
├── models
│   ├── models.go
│   └── user.go
├── next.config.mjs
├── rpc
│   ├── apple.go
│   └── manager.go
├── services
│   └── api
│       └── handler.go
├── storage
│   └── db.go
├── toyboom.db
├── utils
│   ├── base64.go
│   ├── crypto.go
│   ├── idgen.go
│   └── jwt.go
└── watcher
    └── corn_service.go
```