package user

import (
	"context"

	"github.com/nose7en/ToyBoomServer/common"
	"github.com/nose7en/ToyBoomServer/defs"
	"github.com/samber/lo"
)

func GetUserInfo(c context.Context, req *defs.CommonRequest) (resp *defs.GetUserInfoResponse, err error) {
	userInfo := common.GetUser(c)
	return &defs.GetUserInfoResponse{
		User: lo.ToPtr(userInfo.ToUser()),
	}, nil
}
