"use client"
import axios from 'axios'
import { v4 as uuidv4 } from 'uuid';

const instance = axios.create({})

instance.interceptors.request.use((request) => {
    request.headers["x-client-request-id"] = uuidv4();
    return request
})

instance.interceptors.response.use((response) => {
    return response
})

export default instance
