"use client"
import { TooltipProvider } from '@radix-ui/react-tooltip';
import { QueryClient, QueryClientProvider } from "@tanstack/react-query";
const queryClient = new QueryClient()

export default function Providers({ children }: { children: React.ReactNode }) {
	return <TooltipProvider>
		<QueryClientProvider client={queryClient}>
			{children}
		</QueryClientProvider>
	</TooltipProvider>
}