package utils

import (
	"strings"

	"github.com/google/uuid"
)

func GenerateUID() string {
	return uuid.New().String()
}

func L32UID() string {
	o := GenerateUID()
	n := strings.Replace(o, "-", "", -1)
	return n
}

func GenCode() string {
	return strings.ToUpper(L32UID()[0:6])
}
